petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDataTypeFromString

Gets the enum value of a PETSc datatype represented as a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscDataTypeFromString(const char*name, PetscDataType *ptype,PetscBool *found)

Not collective

### Input Parameter

name -the PETSc datatype name (for example, DOUBLE or real or Scalar)

### Output Parameter

| ptype | - the enum value
| found | - the string matches one of the data types

### See Also

PetscDataType, PetscDataTypeToMPIDataType(), PetscDataTypeGetSize()

### Level

advanced

### Location

src/sys/objects/ptype.c

### Examples

src/sys/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages